OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.InterleavedElements

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDInterleavedElements :: MonadIO m => m Bool
- gl_AMD_interleaved_elements :: Bool
- gl_ALPHA :: GLenum
- gl_BLUE :: GLenum
- gl_GREEN :: GLenum
- gl_RED :: GLenum
- gl_RG16UI :: GLenum
- gl_RG8UI :: GLenum
- gl_RGBA8UI :: GLenum
- gl_VERTEX_ELEMENT_SWIZZLE_AMD :: GLenum
- gl_VERTEX_ID_SWIZZLE_AMD :: GLenum
- glVertexAttribParameteriAMD :: MonadIO m => GLuint -> GLenum -> GLint -> m ()

# Extension Support

glGetAMDInterleavedElements :: MonadIO m => m Bool

Is the AMD_interleaved_elements extension supported?

gl_AMD_interleaved_elements :: Bool

Is the AMD_interleaved_elements extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDInterleavedElements` in those cases instead.

# Enums

gl_ALPHA :: GLenum

gl_BLUE :: GLenum

gl_GREEN :: GLenum

gl_RED :: GLenum

gl_RG16UI :: GLenum

gl_RG8UI :: GLenum

gl_RGBA8UI :: GLenum

gl_VERTEX_ELEMENT_SWIZZLE_AMD :: GLenum

gl_VERTEX_ID_SWIZZLE_AMD :: GLenum

# Functions

glVertexAttribParameteriAMD

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> GLint | `param`.
-> m () |